Bug 227870 - Crash when browsing local files using "Media Sources" menu
Summary: Crash when browsing local files using "Media Sources" menu
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: File Browser (show other bugs)
Version: 2.2.90
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-20 23:39 UTC by Javier Conti
Modified: 2010-03-13 23:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Conti 2010-02-20 23:39:15 UTC
Application: amarok (2.2.90)
KDE Platform Version: 4.4.00 (KDE 4.4.0) "release 224"
Qt Version: 4.6.2
Operating System: Linux 2.6.31.12-0.1-default x86_64
Distribution: "openSUSE 11.2 (x86_64)"

-- Information about the crash:
I click on the ">" near the top left folder (Media Sources), select "Files": I find myself already in a folder with some directories containing MP3s.

In the path at the same location (above, in the Media Sources menu), I click the ">" in the middle of the path and the menu with all subfolders appears.

As soon as I click on a folder (or sometimes the second time I choose a folder) the application crashes.

The crash can be reproduced every time.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f065c94d840 (LWP 2215))]

Thread 22 (Thread 0x7f0643259910 (LWP 2217)):
#0  0x00007f06580902cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0649326621 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f0641d53910 (LWP 2218)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f0641d52bf0 in ?? ()
#2  0x00007fff4dbff782 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 20 (Thread 0x7f0641552910 (LWP 2219)):
#0  0x00007f0659a07d03 in poll () from /lib64/libc.so.6
#1  0x00007f064263f8bf in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f064262fb76 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f0642630f59 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f0642631010 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f064263f7cb in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f06423fc738 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#7  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#8  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f063cd50910 (LWP 2220)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0649337673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f063bef6910 (LWP 2221)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0649337673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f063b6b3910 (LWP 2222)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0649337673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f063ae70910 (LWP 2223)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0649337673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f0638d8c910 (LWP 2225)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0639e35505 in os_event_wait_low (event=0x1404750, reset_sig_count=1) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f0639e342f0 in os_aio_simulated_handle (global_segment=0, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007f0639ee56fa in fil_aio_wait (segment=0) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007f0639e64d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f063710b910 (LWP 2226)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0639e35505 in os_event_wait_low (event=0x14047f0, reset_sig_count=3) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f0639e342f0 in os_aio_simulated_handle (global_segment=1, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007f0639ee56fa in fil_aio_wait (segment=1) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007f0639e64d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f063690a910 (LWP 2227)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0639e35505 in os_event_wait_low (event=0x1404890, reset_sig_count=2) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f0639e342f0 in os_aio_simulated_handle (global_segment=2, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007f0639ee56fa in fil_aio_wait (segment=2) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007f0639e64d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f0636109910 (LWP 2228)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0639e35505 in os_event_wait_low (event=0x1404930, reset_sig_count=1) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f0639e342f0 in os_aio_simulated_handle (global_segment=3, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007f0639ee56fa in fil_aio_wait (segment=3) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007f0639e64d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f0634bf1910 (LWP 2230)):
#0  0x00007f0659a0a3e2 in select () from /lib64/libc.so.6
#1  0x00007f0639e3588b in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007f0639e638ea in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:1922
#3  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f06343f0910 (LWP 2231)):
#0  0x00007f0659a0a3e2 in select () from /lib64/libc.so.6
#1  0x00007f0639e3588b in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007f0639e63675 in srv_error_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2148
#3  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0633bef910 (LWP 2232)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0639e35505 in os_event_wait_low (event=0xda7960, reset_sig_count=1) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f0639e61f67 in srv_master_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2637
#3  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f062b28f910 (LWP 2233)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0654f33656 in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f0654f33699 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0629ad0910 (LWP 2234)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f065aece72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0656b0a786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0656b0bb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0656b0bb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0656b0bb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f0656b0bb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f0656b06edf in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f0656b08748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f065aecd775 in QThreadPrivate::start (arg=0x1f81880) at thread/qthread_unix.cpp:248
#11 0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#12 0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f06292cf910 (LWP 2235)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f065aece72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0656b0a786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0656b0bb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0656b06edf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0656b08748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f065aecd775 in QThreadPrivate::start (arg=0x7f061c000de0) at thread/qthread_unix.cpp:248
#8  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#9  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0624e74910 (LWP 2236)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f065aece72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0656b0a786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0656b0bb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0656b0bb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0656b0bb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f0656b06edf in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f0656b08748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f065aecd775 in QThreadPrivate::start (arg=0x77acb0) at thread/qthread_unix.cpp:248
#10 0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#11 0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0624673910 (LWP 2237)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f065aece72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0656b0a786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0656b0bb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0656b06edf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0656b08748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f065aecd775 in QThreadPrivate::start (arg=0x1f1cab0) at thread/qthread_unix.cpp:248
#8  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#9  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0623671910 (LWP 2249)):
#0  0x00007f06580902cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f065aece692 in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f065aec3b29 in QThreadPoolThread::run (this=0x211b350) at concurrent/qthreadpool.cpp:140
#4  0x00007f065aecd775 in QThreadPrivate::start (arg=0x211b350) at thread/qthread_unix.cpp:248
#5  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0622e70910 (LWP 2250)):
#0  0x00007f0658090049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f06563636a6 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007f06563636e9 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007f065808b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0659a10e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f065c94d840 (LWP 2215)):
[KCrash Handler]
#5  QMetaObject::changeGuard (ptr=0x24d5738, o=0x0) at kernel/qobject.cpp:488
#6  0x00007f065a7bc06e in ?? () from /usr/lib64/libQtGui.so.4
#7  0x00007f065a3d4172 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#8  0x00007f065a7be20b in QMenu::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#9  0x00007f065a37de1c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007f065a384bdb in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#11 0x00007f065bcd3bba in App::notify (this=0x1003, receiver=0x59c90000, event=0x1c76990) at /usr/src/debug/amarok-2.2.2.90/src/App.cpp:952
#12 0x00007f065afc198c in QCoreApplication::notifyInternal (this=0x7fff4dbe13c0, receiver=0x24d5450, event=0x7fff4dbdef20) at kernel/qcoreapplication.cpp:704
#13 0x00007f065a383db6 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#14 0x00007f065a403ba5 in ?? () from /usr/lib64/libQtGui.so.4
#15 0x00007f065a40247a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007f065a42c932 in ?? () from /usr/lib64/libQtGui.so.4
#17 0x00007f06525d3dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#18 0x00007f06525d77b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#19 0x00007f06525d78e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#20 0x00007f065afeaeb3 in QEventDispatcherGlib::processEvents (this=0x625bf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#21 0x00007f065a42c51e in ?? () from /usr/lib64/libQtGui.so.4
#22 0x00007f065afc02a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#23 0x00007f065afc067c in QEventLoop::exec (this=0x7fff4dbdfb70, flags=) at kernel/qeventloop.cpp:201
#24 0x00007f065a7b9635 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib64/libQtGui.so.4
#25 0x00007f065a7c87d2 in ?? () from /usr/lib64/libQtGui.so.4
#26 0x00007f065a7c9cfa in QPushButton::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtGui.so.4
#27 0x00007f065be00808 in Amarok::ElidingButton::qt_metacall (this=0x1003, _c=1506344960, _id=29845904, _a=0x59c90000) at /usr/src/debug/amarok-2.2.2.90/build/src/ElidingButton.moc:67
#28 0x00007f065afd478f in QMetaObject::activate (sender=0x24c8a60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x59c90000) at kernel/qobject.cpp:3293
#29 0x00007f065a73053e in ?? () from /usr/lib64/libQtGui.so.4
#30 0x00007f065a73071c in QAbstractButton::mousePressEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#31 0x00007f065a3d4159 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#32 0x00007f065a37de1c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#33 0x00007f065a384bdb in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#34 0x00007f065bcd3bba in App::notify (this=0x1003, receiver=0x59c90000, event=0x1c76990) at /usr/src/debug/amarok-2.2.2.90/src/App.cpp:952
#35 0x00007f065afc198c in QCoreApplication::notifyInternal (this=0x7fff4dbe13c0, receiver=0x24c8a60, event=0x7fff4dbe0710) at kernel/qcoreapplication.cpp:704
#36 0x00007f065a383db6 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#37 0x00007f065a403765 in ?? () from /usr/lib64/libQtGui.so.4
#38 0x00007f065a40247a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#39 0x00007f065a42c932 in ?? () from /usr/lib64/libQtGui.so.4
#40 0x00007f06525d3dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#41 0x00007f06525d77b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#42 0x00007f06525d78e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#43 0x00007f065afeaeb3 in QEventDispatcherGlib::processEvents (this=0x625bf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#44 0x00007f065a42c51e in ?? () from /usr/lib64/libQtGui.so.4
#45 0x00007f065afc02a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#46 0x00007f065afc067c in QEventLoop::exec (this=0x7fff4dbe1360, flags=) at kernel/qeventloop.cpp:201
#47 0x00007f065afc43cb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#48 0x0000000000408762 in main (argc=1, argv=0x7fff4dbe3348) at /usr/src/debug/amarok-2.2.2.90/src/main.cpp:237

Possible duplicates by query: bug 214992.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-02-21 00:14:46 UTC
Not sure if this is not a Qt problem. Could you please install the debugging packages for Qt and try to reproduce this crash again? See also here on how to get a valid backtrace:

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 2 Javier Conti 2010-02-21 22:35:49 UTC
Thanks for the suggested reading, I thought it was already good since DrKonki told me the backtrace "may be useful".

Anyway, here is a new backtrace with the QT debugging package installed:

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fcadce1d840 (LWP 21949))]

Thread 21 (Thread 0x7fcac372d910 (LWP 21950)):
#0  0x00007fcad85602cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcac97a8621 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fcac2227910 (LWP 21951)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007fcac2226bf0 in ?? ()
#2  0x00007fff303ff782 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 19 (Thread 0x7fcac1a26910 (LWP 21952)):
#0  0x00007fcad9ed7d03 in poll () from /lib64/libc.so.6
#1  0x00007fcac2b138bf in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007fcac2b03b76 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007fcac2b04f59 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007fcac2b05010 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007fcac2b137cb in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007fcac28d0738 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#7  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fcabd224910 (LWP 21953)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcac97b9673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fcabc40c910 (LWP 21954)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcac97b9673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fcabbc0b910 (LWP 21955)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcac97b9673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fcabb40a910 (LWP 21956)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcac97b9673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fcab9349910 (LWP 21958)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcaba3f2505 in os_event_wait_low (event=0x12dc7f0, reset_sig_count=1) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007fcaba3f12f0 in os_aio_simulated_handle (global_segment=0, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007fcaba4a26fa in fil_aio_wait (segment=0) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007fcaba421d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fcab36a4910 (LWP 21959)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcaba3f2505 in os_event_wait_low (event=0x12dc890, reset_sig_count=3) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007fcaba3f12f0 in os_aio_simulated_handle (global_segment=1, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007fcaba4a26fa in fil_aio_wait (segment=1) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007fcaba421d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fcab2ea3910 (LWP 21960)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcaba3f2505 in os_event_wait_low (event=0x12dc930, reset_sig_count=2) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007fcaba3f12f0 in os_aio_simulated_handle (global_segment=2, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007fcaba4a26fa in fil_aio_wait (segment=2) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007fcaba421d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fcab26a2910 (LWP 21961)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcaba3f2505 in os_event_wait_low (event=0x12dc9d0, reset_sig_count=1) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007fcaba3f12f0 in os_aio_simulated_handle (global_segment=3, message1=<value optimized out>, message2=<value optimized out>, type=<value optimized out>)
    at ../../../storage/innobase/os/os0file.c:4207
#3  0x00007fcaba4a26fa in fil_aio_wait (segment=3) at ../../../storage/innobase/fil/fil0fil.c:4246
#4  0x00007fcaba421d00 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:435
#5  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fcab118a910 (LWP 21963)):
#0  0x00007fcad9eda3e2 in select () from /lib64/libc.so.6
#1  0x00007fcaba3f288b in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007fcaba4208ea in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:1922
#3  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fcab0989910 (LWP 21964)):
#0  0x00007fcad9eda3e2 in select () from /lib64/libc.so.6
#1  0x00007fcaba3f288b in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007fcaba420675 in srv_error_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2148
#3  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fcab0188910 (LWP 21965)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcaba3f2505 in os_event_wait_low (event=0xdfbf90, reset_sig_count=1) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007fcaba41ef67 in srv_master_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2637
#3  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fcaa7828910 (LWP 21966)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcad5403656 in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fcad5403699 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#3  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fcaa6487910 (LWP 21967)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcadb39e72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fcad6fda786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fcad6fdbb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fcad6fdbb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fcad6fdbb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fcad6fdbb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fcad6fd6edf in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fcad6fd8748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#10 0x00007fcadb39d775 in QThreadPrivate::start (arg=0x7fcab44b87c0) at thread/qthread_unix.cpp:248
#11 0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#12 0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fcaa5c86910 (LWP 21968)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcadb39e72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fcad6fda786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fcad6fdbb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fcad6fd6edf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fcad6fd8748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fcadb39d775 in QThreadPrivate::start (arg=0x7fcab44b94d0) at thread/qthread_unix.cpp:248
#8  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#9  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fcaa187d910 (LWP 21969)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcadb39e72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fcad6fda786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fcad6fdbb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fcad6fd6edf in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fcad6fd8748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fcadb39d775 in QThreadPrivate::start (arg=0x7fcab445ef80) at thread/qthread_unix.cpp:248
#8  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#9  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fcaa107c910 (LWP 21970)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcadb39e72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fcad6fda786 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fcad6fdbb6b in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fcad6fdbb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fcad6fdbb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fcad6fdbb84 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fcad6fd6edf in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fcad6fd8748 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#10 0x00007fcadb39d775 in QThreadPrivate::start (arg=0x7fcab4498d50) at thread/qthread_unix.cpp:248
#11 0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#12 0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fca9f879910 (LWP 21988)):
#0  0x00007fcad8560049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcad68336a6 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fcad6b11220) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007fcad68336e9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fcad6b1f2ec) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007fcad855b65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcad9ee0e1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fcadce1d840 (LWP 21949)):
[KCrash Handler]
#5  QMetaObject::activate (sender=0x1da0730, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff303e15b0) at kernel/qobject.cpp:3262
#6  0x00007fcadb4a4b3f in QObject::destroyed (this=0x84a5e0, _t1=0x1da0730) at .moc/release-shared/moc_qobject.cpp:149
#7  0x00007fcadb4a7165 in QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:869
#8  0x00007fcada8aaf3e in QWidget::~QWidget (this=0x1da0730, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1485
#9  0x00007fcadac87553 in QMenu::~QMenu (this=0x1da0730, __in_chrg=<value optimized out>) at widgets/qmenu.cpp:1421
#10 0x00007fcadb4a037c in QObjectPrivate::deleteChildren (this=0x16e30c0) at kernel/qobject.cpp:1986
#11 0x00007fcada8aaeb5 in QWidget::~QWidget (this=0x1dbe980, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1469
#12 0x00007fcadbdac157 in BrowserBreadcrumbItem::~BrowserBreadcrumbItem (this=0x1dbe980, __in_chrg=<value optimized out>) at /usr/src/debug/amarok-2.2.2.90/src/browsers/BrowserBreadcrumbItem.cpp:145
#13 0x00007fcadbdae2df in BrowserCategory::clearAdditionalItems (this=0x7fcab452b010) at /usr/src/debug/amarok-2.2.2.90/src/browsers/BrowserCategory.cpp:149
#14 0x00007fcadc29c6f5 in FileBrowser::setupAddItems (this=0x7fcab452b010) at /usr/src/debug/amarok-2.2.2.90/src/browsers/filebrowser/FileBrowser.cpp:202
#15 0x00007fcadc29a697 in FileBrowser::addItemActivated (this=0x7fcab452b010, callbackString=...) at /usr/src/debug/amarok-2.2.2.90/src/browsers/filebrowser/FileBrowser.cpp:195
#16 0x00007fcadbd858a1 in FileBrowser::qt_metacall (this=0x7fcab452b010, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff303e1c30)
    at /usr/src/debug/amarok-2.2.2.90/build/src/moc_FileBrowser.cpp:82
#17 0x00007fcadb4a478f in QMetaObject::activate (sender=0x188af40, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x84a690) at kernel/qobject.cpp:3293
#18 0x00007fcadbd85d32 in BrowserBreadcrumbItem::activated (this=0x84a5e0, _t1=<value optimized out>) at /usr/src/debug/amarok-2.2.2.90/build/src/moc_BrowserBreadcrumbItem.cpp:94
#19 0x00007fcadbda9ffc in BrowserBreadcrumbItem::activateSibling (this=0x188af40) at /usr/src/debug/amarok-2.2.2.90/src/browsers/BrowserBreadcrumbItem.cpp:180
#20 0x00007fcadbd88be6 in BrowserBreadcrumbItem::qt_metacall (this=0x188af40, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff303e1e20)
    at /usr/src/debug/amarok-2.2.2.90/build/src/moc_BrowserBreadcrumbItem.cpp:82
#21 0x00007fcadb4a478f in QMetaObject::activate (sender=0x1dd4550, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x84a690) at kernel/qobject.cpp:3293
#22 0x00007fcada847d12 in QAction::triggered (this=0x84a5e0, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#23 0x00007fcada849d8b in QAction::activate (this=0x1dd4550, event=<value optimized out>) at kernel/qaction.cpp:1255
#24 0x00007fcadac864dd in QMenuPrivate::activateCausedStack (this=<value optimized out>, causedStack=..., action=0x1dd4550, action_e=Trigger, self=true) at widgets/qmenu.cpp:1011
#25 0x00007fcadac8c04a in QMenuPrivate::activateAction (this=0x1d9d600, action=0x1dd4550, action_e=Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1103
#26 0x00007fcada8a4172 in QWidget::event (this=0x1dd1d30, event=0x7fff303e2990) at kernel/qwidget.cpp:7998
#27 0x00007fcadac8e20b in QMenu::event (this=0x1dd1d30, e=0x7fff303e2990) at widgets/qmenu.cpp:2414
#28 0x00007fcada84de1c in QApplicationPrivate::notify_helper (this=0x77d4a0, receiver=0x1dd1d30, e=0x7fff303e2990) at kernel/qapplication.cpp:4300
#29 0x00007fcada854bdb in QApplication::notify (this=0x7fff303e4e30, receiver=0x1dd1d30, e=0x7fff303e2990) at kernel/qapplication.cpp:3865
#30 0x00007fcadc1a3bba in App::notify (this=0x84a5e0, receiver=0x7fff303e1520, event=0x620580) at /usr/src/debug/amarok-2.2.2.90/src/App.cpp:952
#31 0x00007fcadb49198c in QCoreApplication::notifyInternal (this=0x7fff303e4e30, receiver=0x1dd1d30, event=0x7fff303e2990) at kernel/qcoreapplication.cpp:704
#32 0x00007fcada853db6 in sendEvent (event=<value optimized out>, receiver=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#33 QApplicationPrivate::sendMouseEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qapplication.cpp:2965
#34 0x00007fcada8d3ba5 in QETWidget::translateMouseEvent (this=0x1dd1d30, event=<value optimized out>) at kernel/qapplication_x11.cpp:4302
#35 0x00007fcada8d247a in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff303e32b0) at kernel/qapplication_x11.cpp:3501
#36 0x00007fcada8fc932 in x11EventSourceDispatch (s=0x7808f0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#37 0x00007fcad2aa7dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#38 0x00007fcad2aab7b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#39 0x00007fcad2aab8e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#40 0x00007fcadb4baeb3 in QEventDispatcherGlib::processEvents (this=0x625bf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#41 0x00007fcada8fc51e in QGuiEventDispatcherGlib::processEvents (this=0x84a5e0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#42 0x00007fcadb4902a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#43 0x00007fcadb49067c in QEventLoop::exec (this=0x7fff303e35e0, flags=) at kernel/qeventloop.cpp:201
#44 0x00007fcadac89635 in QMenu::exec (this=0x1dd1d30, p=<value optimized out>, action=0x0) at widgets/qmenu.cpp:2063
#45 0x00007fcadac987d2 in QPushButtonPrivate::_q_popupPressed (this=0x188b390) at widgets/qpushbutton.cpp:588
#46 0x00007fcadac99cfa in QPushButton::qt_metacall (this=0x1dd4eb0, _c=InvokeMetaMethod, _id=31243504, _a=0x7fff303e3770) at .moc/release-shared/moc_qpushbutton.cpp:80
#47 0x00007fcadc2d0808 in Amarok::ElidingButton::qt_metacall (this=0x84a5e0, _c=809375008, _id=6423936, _a=0x84a690) at /usr/src/debug/amarok-2.2.2.90/build/src/ElidingButton.moc:67
#48 0x00007fcadb4a478f in QMetaObject::activate (sender=0x1dd4eb0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x84a690) at kernel/qobject.cpp:3293
#49 0x00007fcadac0053e in QAbstractButtonPrivate::emitPressed (this=0x188b390) at widgets/qabstractbutton.cpp:560
#50 0x00007fcadac0071c in QAbstractButton::mousePressEvent (this=0x1dd4eb0, e=0x7fff303e4180) at widgets/qabstractbutton.cpp:1096
#51 0x00007fcada8a4159 in QWidget::event (this=0x1dd4eb0, event=0x7fff303e4180) at kernel/qwidget.cpp:7994
#52 0x00007fcada84de1c in QApplicationPrivate::notify_helper (this=0x77d4a0, receiver=0x1dd4eb0, e=0x7fff303e4180) at kernel/qapplication.cpp:4300
#53 0x00007fcada854bdb in QApplication::notify (this=0x7fff303e4e30, receiver=0x1dd4eb0, e=0x7fff303e4180) at kernel/qapplication.cpp:3865
#54 0x00007fcadc1a3bba in App::notify (this=0x84a5e0, receiver=0x7fff303e1520, event=0x620580) at /usr/src/debug/amarok-2.2.2.90/src/App.cpp:952
#55 0x00007fcadb49198c in QCoreApplication::notifyInternal (this=0x7fff303e4e30, receiver=0x1dd4eb0, event=0x7fff303e4180) at kernel/qcoreapplication.cpp:704
#56 0x00007fcada853db6 in sendEvent (event=<value optimized out>, receiver=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#57 QApplicationPrivate::sendMouseEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qapplication.cpp:2965
#58 0x00007fcada8d3765 in QETWidget::translateMouseEvent (this=0x7fcab42298f0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#59 0x00007fcada8d247a in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff303e4aa0) at kernel/qapplication_x11.cpp:3501
#60 0x00007fcada8fc932 in x11EventSourceDispatch (s=0x7808f0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#61 0x00007fcad2aa7dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#62 0x00007fcad2aab7b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#63 0x00007fcad2aab8e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#64 0x00007fcadb4baeb3 in QEventDispatcherGlib::processEvents (this=0x625bf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#65 0x00007fcada8fc51e in QGuiEventDispatcherGlib::processEvents (this=0x84a5e0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#66 0x00007fcadb4902a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#67 0x00007fcadb49067c in QEventLoop::exec (this=0x7fff303e4dd0, flags=) at kernel/qeventloop.cpp:201
#68 0x00007fcadb4943cb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#69 0x0000000000408762 in main (argc=1, argv=0x7fff303e6db8) at /usr/src/debug/amarok-2.2.2.90/src/main.cpp:237
Comment 3 Myriam Schweingruber 2010-02-21 23:53:35 UTC
Javier, thank you for the feedback.

Nikolaj, any ideas about this? Seems to be the breadcrumb code
Comment 4 Nikolaj Hald Nielsen 2010-02-24 10:57:21 UTC
commit 01bd631d19e10ff0c201d663053e02ba6cbbf036
Author: Nikolaj Hald Nielsen <nhn@kde.org>
Date:   Wed Feb 24 10:54:31 2010 +0100

    Better ownership == less crashes. I am not sure why "setMenu" does not properly reparent, but it seems like the menu was destroyed 2 times in some cases.
    
    BUG: 227870

diff --git a/src/browsers/BrowserBreadcrumbItem.cpp b/src/browsers/BrowserBreadcrumbItem.cpp
index 47f318a..fda5b44 100644
--- a/src/browsers/BrowserBreadcrumbItem.cpp
+++ b/src/browsers/BrowserBreadcrumbItem.cpp
@@ -37,7 +37,7 @@ BrowserBreadcrumbItem::BrowserBreadcrumbItem( BrowserCategory * category )
     if ( parentList )
     {
         m_menuButton = new BreadcrumbItemMenuButton( this );
-        QMenu *menu = new QMenu( this );
+        QMenu *menu = new QMenu( 0 );
         
         QMap<QString,BrowserCategory *> siblingMap =  parentList->categories();
 
@@ -97,7 +97,7 @@ BrowserBreadcrumbItem::BrowserBreadcrumbItem( const QString &name, const QString
     if ( !childItems.isEmpty() )
     {
         m_menuButton = new BreadcrumbItemMenuButton( this );
-        QMenu *menu = new QMenu( this );
+        QMenu *menu = new QMenu( 0 );
 
 
         foreach( const QString &siblingName, childItems )
diff --git a/src/browsers/BrowserCategory.cpp b/src/browsers/BrowserCategory.cpp
index 1778bc0..b8a445a 100644
--- a/src/browsers/BrowserCategory.cpp
+++ b/src/browsers/BrowserCategory.cpp
@@ -142,7 +142,6 @@ BrowserCategory::addAdditionalItem( BrowserBreadcrumbItem * item )
 void
 BrowserCategory::clearAdditionalItems()
 {
-    //these are deleted in BrowserBreadcrumbWidget::clearCrumbs
     foreach( BrowserBreadcrumbItem * item, m_additionalItems )
     {
         m_additionalItems.removeAll( item );
Comment 5 Myriam Schweingruber 2010-03-13 23:20:11 UTC
*** Bug 230447 has been marked as a duplicate of this bug. ***